%define uname	dbus-sharp-glib
%define pkgname	%{uname}-1.0
%global __requires_exclude lib.*glib2.0_0

Name:		dbus-sharp-glib1.0
Summary:	Managed D-Bus implementation - GLib integration
Version:	0.5.0
Release:	%mkrel 7
Group:		System/Libraries
License:	MIT
Source0:	https://github.com/downloads/mono/dbus-sharp/%{uname}-%{version}.tar.gz
Url:		http://mono.github.com/dbus-sharp/
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(dbus-sharp-1.0)
BuildRequires:	pkgconfig(gtk-sharp-2.0)
Requires:	glib2
BuildArch:	noarch

%description
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus). This is the GLib integration for ndesk-dbus.

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%package devel
Summary: Development files for %{name}
Group: Development/Other
Requires: %{name} = %{version}

%description devel
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus). This is the GLib integration for ndesk-dbus.

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%prep
%setup -q -n %{uname}-%{version}

sed -i "s#gmcs#mcs#g" configure
sed -i "s#gmcs#mcs#g" configure.ac

%build
#to recognize aarch64
autoreconf -vfi

./configure --prefix=%{_prefix}
make

%install
%make_install pkgconfigdir=%{_datadir}/pkgconfig

%files
%doc README COPYING
%{_prefix}/lib/mono/%{pkgname}
%{_prefix}/lib/mono/gac/%{uname}/

%files devel
%doc examples
%{_datadir}/pkgconfig/%{pkgname}.pc


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.5.0-7.mga10
+ Revision: 2213472
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 0.5.0-6.mga9
+ Revision: 1838819
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 0.5.0-5.mga8
+ Revision: 1629234
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 0.5.0-4.mga8
+ Revision: 1629119
- rebuild for new mono

* Tue Feb 11 2020 umeabot <umeabot> 0.5.0-3.mga8
+ Revision: 1489528
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.5.0-2.mga7
+ Revision: 1260658
- Mageia 7 Mass Rebuild

* Sun Jan 31 2016 barjac <barjac> 0.5.0-1.mga6
+ Revision: 929484
- updated spec for fork
- use pkgconfig style buildrequires
- change buildrequire on dbus-sharp to dbus-sharp1.0
- fork for ABI 1.0

* Sun Jan 31 2016 barjac <barjac> 1:0.5.0-7.mga6
+ Revision: 929253
- add epoch and revert to 0.5.0 for ABI-1.0

* Thu Jan 28 2016 barjac <barjac> 0.6.0-1.mga6
+ Revision: 928469
- new version 0.6.0
- use fedora hack to fix build
- clean spec

* Thu Dec 03 2015 tv <tv> 0.5.0-6.mga6
+ Revision: 907879
- fix finding mono4 compiler

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-5.mga5
+ Revision: 743876
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-4.mga5
+ Revision: 678689
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-3.mga4
+ Revision: 503795
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 348659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 25 2011 dmorgan <dmorgan> 0.5.0-1.mga2
+ Revision: 113481
- imported package dbus-sharp-glib

